class Jrsonnet < Formula
  desc "Rust implementation of Jsonnet language"
  homepage "https://github.com/CertainLach/jrsonnet"
  url "https://github.com/CertainLach/jrsonnet/archive/refs/tags/v0.4.2.tar.gz"
  sha256 "2396c57a49a20db99da17b8ddd1b0b283f1a6e7c5ae1dc94823e7503cbb6ce3f"
  license "MIT"
  head "https://github.com/CertainLach/jrsonnet.git", branch: "master"

  livecheck do
    url :stable
    regex(/^v?(\d+(?:\.\d+)+)$/i)
  end

  depends_on "rust" => :build

  def install
    cd "cmds/jrsonnet" do
      system "cargo", "install", *std_cargo_args
    end

    generate_completions_from_executable(bin/"jrsonnet", "--generate", "bash", "-",
                                         shells: [:bash], shell_parameter_format: :none)
    generate_completions_from_executable(bin/"jrsonnet", "--generate", "zsh", "-",
                                         shells: [:zsh], shell_parameter_format: :none)
    generate_completions_from_executable(bin/"jrsonnet", "--generate", "fish", "-",
                                         shells: [:fish], shell_parameter_format: :none)
  end

  test do
    assert_equal "2\n", shell_output("#{bin}/jrsonnet -e '({ x: 1, y: self.x } { x: 2 }).y'")
  end
end
